#!/bin/bash

# RaveOS Cosmetics beállítások
#echo "RaveOS Cosmetics beállítása..."
#gsettings set org.gnome.desktop.interface gtk-theme 'Yaru-purple-dark'
#gsettings set org.gnome.desktop.interface cursor-theme 'Yaru'
#gsettings set org.gnome.desktop.interface icon-theme 'Yaru-purple-dark'
#gsettings set org.gnome.desktop.sound theme-name 'Yaru'
#gsettings set org.gnome.desktop.screensaver lock-enabled false
#gsettings set org.gnome.desktop.session idle-delay 0
#gsettings set org.gnome.desktop.wm.preferences button-layout ":minimize,maximize,close"
#yay -S gdm-tools --noconfirm --sudoloop --save



# Cosmetics letöltése és alkalmazása
echo "Cosmetics letöltése..."
mkdir cosmetics
sudo chmod a+rwx ~/cosmetics 
cd cosmetics
wget -O cosmetics.zip https://files.rp1.hu/api/public/dl/R_0cJkKL/
unzip cosmetics.zip
#sudo chown -R $CURRENT_USER:$GROUP /home/$USER/cosmetics/

sudo rsync -ap --info=progress2 gnome-shell /home/$USER/.local/share/
cp -a burn-my-windows /home/$USER/.config/
sudo cp -a rave-pp.png /usr/share/pixmaps/faces/
echo "[User]
Session=
Icon=/usr/share/pixmaps/faces/rave-pp.png
SystemAccount=false" | sudo tee /var/lib/AccountsService/users/$USER
sudo cp -a archlinux-logo-text-dark.svg /usr/share/pixmaps/
sudo cp -a view-app-grid-symbolic.svg /usr/share/icons/Yaru/scalable/actions/
dconf load / < raveui-eng
sudo mkdir -p /usr/share/backgrounds/
sudo cp -a raveos-bg.png /usr/share/backgrounds/
sudo cp -a overrides /home/$USER/.local/share/flatpak/
cp -a .icons /home/$USER/
cp -a .themes /home/$USER/

# GDM téma beállítása
echo "GDM téma beállítása..."
set-gdm-theme set Yaru-purple-dark /usr/share/backgrounds/raveos-bg.png
echo "GNOME telepítése befejeződött."