#!/bin/bash

# Yaru téma telepítése
echo "Yaru téma telepítése..."
git clone https://aur.archlinux.org/yaru.git
cd yaru
makepkg -si --noconfirm
cd ..
rm -rf yaru
echo "Yaru téma telepítése befejeződött."

# RaveOS Cosmetics beállítások
echo "RaveOS Cosmetics beállítása..."
gsettings set org.gnome.desktop.interface gtk-theme 'Yaru-purple-dark'
gsettings set org.gnome.desktop.interface cursor-theme 'Yaru'
gsettings set org.gnome.desktop.interface icon-theme 'Yaru-purple-dark'
gsettings set org.gnome.desktop.sound theme-name 'Yaru'
gsettings set org.gnome.desktop.screensaver lock-enabled false
gsettings set org.gnome.desktop.session idle-delay 0
gsettings set org.gnome.desktop.wm.preferences button-layout ":minimize,maximize,close"

yay -S gdm-tools --noconfirm --sudoloop --save